ros-melodic-moveit-servo (1.0.11-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Mon, 12 Sep 2022 22:00:00 -0000

ros-melodic-moveit-servo (1.0.10-1bionic) bionic; urgency=high



 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 05 Mar 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.9-1bionic) bionic; urgency=high

  * Fix an off-by-one error in servo_calcs.cpp (#2908 <https://github.com/ros-planning/moveit/issues/2908>)
  * Contributors: Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 08 Jan 2022 23:00:00 -0000

ros-melodic-moveit-servo (1.0.8-1bionic) bionic; urgency=high

  * Avoid joint jump when SuddenHalt() is called in velocity mode (#2594 <https://github.com/ros-planning/moveit/issues/2594>)
  * Halt Servo command on Pose Tracking stop (#2501 <https://github.com/ros-planning/moveit/issues/2501>)
  * stop_requested_ flag clearing fix (#2537 <https://github.com/ros-planning/moveit/issues/2537>)
  * Refactor Servo velocity bounds enforcement (#2471 <https://github.com/ros-planning/moveit/issues/2471>)
  * Protect paused_ flag, for thread safety (#2494 <https://github.com/ros-planning/moveit/issues/2494>)
  * Do not break out of loop -- need to update low pass filters (#2496 <https://github.com/ros-planning/moveit/issues/2496>)
  * Fix initial angle error is always 0 (#2464 <https://github.com/ros-planning/moveit/issues/2464>)
  * Add an important sleep in Servo pose tracking (#2463 <https://github.com/ros-planning/moveit/issues/2463>)
  * Prevent moveit_servo transforms between fixed frames from causing timeout (#2418 <https://github.com/ros-planning/moveit/issues/2418>)
  * Low latency mode (#2401 <https://github.com/ros-planning/moveit/issues/2401>)
  * Move timer initialization down to fix potential race condition
  * Fix pose tracking race condition (#2395 <https://github.com/ros-planning/moveit/issues/2395>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Michael Görner, Nathan Brooks, Tyler Weaver, parunapu

 -- Blake Anderson <blakeanderson@utexas.edu>  Sat, 22 May 2021 22:00:00 -0000

ros-melodic-moveit-servo (1.0.7-1bionic) bionic; urgency=high

  * [feature] Cleanup current state handling in servo (#2372 <https://github.com/ros-planning/moveit/issues/2372>)
  * [feature] Servo namespacing logic (#2354 <https://github.com/ros-planning/moveit/issues/2354>)
  * [feature] A library for servoing toward a moving pose (#2203 <https://github.com/ros-planning/moveit/issues/2203>)
  * [feature] Refactor velocity limit enforcement and add a unit test (#2260 <https://github.com/ros-planning/moveit/issues/2260>)
  * [feature] Add a utility to print collision pairs (#2275 <https://github.com/ros-planning/moveit/issues/2275>)
  * [feature] Update last_sent_command_ at ServoCalcs start (#2249 <https://github.com/ros-planning/moveit/issues/2249>)
  * [fix] Fix servo trajectory point timestamping (#2375 <https://github.com/ros-planning/moveit/issues/2375>)
  * [fix] Fix ordering of windup args to control_toolbox::Pid (#2370 <https://github.com/ros-planning/moveit/issues/2370>)
  * [fix] Fix Servo thread interruption (#2314 <https://github.com/ros-planning/moveit/issues/2314>)
  * [fix] Servo heap-buffer-overflow bug (#2307 <https://github.com/ros-planning/moveit/issues/2307>)
  * [maint] add soname version to moveit_servo (#2266 <https://github.com/ros-planning/moveit/issues/2266>)
  * Contributors: AdamPettinger, AndyZe, Jere Liukkonen, Nathan Brooks, Robert Haschke, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-moveit-servo (1.0.6-1bionic) bionic; urgency=high

  * [feature] A ROS service to reset the Servo status (#2246 <https://github.com/ros-planning/moveit/issues/2246>)
  * [feature] Check collisions during joint motions, too (#2204 <https://github.com/ros-planning/moveit/issues/2204>)
  * [fix]     Correctly set velocities to zero when stale (#2255 <https://github.com/ros-planning/moveit/issues/2255>)
  * [maint]   Remove unused yaml param (#2232 <https://github.com/ros-planning/moveit/issues/2232>)
  * [maint]   Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint]   Migrate to clang-format-10
  * Contributors: AndyZe, Robert Haschke, Ruofan Xu, Michael Görner

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 18 Aug 2020 22:00:00 -0000

ros-melodic-moveit-servo (1.0.5-1bionic) bionic; urgency=high

  * [maint]   Minor moveit_servo header cleanup (#2173 <https://github.com/ros-planning/moveit/issues/2173>)
  * [maint]   Move and rename to moveit_ros/moveit_servo (#2165 <https://github.com/ros-planning/moveit/issues/2165>)
  * [maint]   Changes before porting to ROS2 (#2151 <https://github.com/ros-planning/moveit/issues/2151>)
    * throttle warning logs
    * ROS1 Basic improvements and changes
    * Fixes to drift dimensions, singularity velocity scaling
    * tf name changes, const fixes, slight logic changes
    * Move ROS_LOG_THROTTLE_PERIOD to cpp files
    * Track staleness of joint and twist seperately
    * Ensure joint_trajectory output is always populated with something, even when no jog
    * Fix joint trajectory redundant points for gazebo pub
    * Fix crazy joint jog from bad Eigen init
    * Fix variable type in addJointIncrements()
    * Initialize last sent command in constructor
    * More explicit joint_jog_cmdand twist_stamped_cmdnames
    * Add comment clarying transform calculation / use
  * [fix]     Fix access past end of array bug (#2155 <https://github.com/ros-planning/moveit/issues/2155>)
  * [maint]   Remove duplicate line (#2154 <https://github.com/ros-planning/moveit/issues/2154>)
  * [maint]   pragma once in jog_arm.h (#2152 <https://github.com/ros-planning/moveit/issues/2152>)
  * [feature] Simplify communication between threads (#2103 <https://github.com/ros-planning/moveit/issues/2103>)
    * get latest joint state c++ api
    * throttle warning logs
    * publish from jog calcs timer, removing redundant timer and internal messaging to main timer
    * outgoing message as pool allocated shared pointer for zero copy
    * replace jog_arm shared variables with ros pub/sub
    * use built in zero copy message passing instead of spsc_queues
    * use ros timers instead of threads in jog_arm
  * [feature] Added throttle to jogarm accel limit warning (#2141 <https://github.com/ros-planning/moveit/issues/2141>)
  * [feature] Time-based collision avoidance (#2100 <https://github.com/ros-planning/moveit/issues/2100>)
  * [fix]     Fix crash on empty jog msgs (#2094 <https://github.com/ros-planning/moveit/issues/2094>)
  * [feature] Jog arm dimensions (#1724 <https://github.com/ros-planning/moveit/issues/1724>)
  * [maint]   Clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>)
  * [feature] Keep updating joints, even while waiting for a valid command (#2027 <https://github.com/ros-planning/moveit/issues/2027>)
  * [fix]     Fix param logic bug for self- and scene-collision proximity thresholds (#2022 <https://github.com/ros-planning/moveit/issues/2022>)
  * [feature] Split collision proximity threshold (#2008 <https://github.com/ros-planning/moveit/issues/2008>)
    * separate proximity threshold values for self-collisions and scene collisions
    * increase default value of scene collision proximity threshold
    * deprecate old parameters
  * [fix]     Fix valid command flags (#2013 <https://github.com/ros-planning/moveit/issues/2013>)
    * Rename the 'zero command flag' variables for readability
    * Reset flags when incoming commands timeout
    * Remove debug line, clang format
  * [maint]   Use default move constructor + assignment operators for MoveItCpp. (#2004 <https://github.com/ros-planning/moveit/issues/2004>)
  * [fix]     Fix low-pass filter initialization (#1982 <https://github.com/ros-planning/moveit/issues/1982>)
    * Pause/stop JogArm threads using shared atomic bool variables
    * Add pause/unpause flags for jog thread
    * Verify valid joints by filtering for active joint models only
    * Remove redundant joint state increments
    * Wait for initial jog commands in main loop
  * [fix]     Remove duplicate collision check in JogArm (#1986 <https://github.com/ros-planning/moveit/issues/1986>)
  * [feature] Add a binary collision check (#1978 <https://github.com/ros-planning/moveit/issues/1978>)
  * [feature] Publish more detailed warnings (#1915 <https://github.com/ros-planning/moveit/issues/1915>)
  * [feature] Use wait_for_service() to fix flaky tests (#1946 <https://github.com/ros-planning/moveit/issues/1946>)
  * [maint]   Fix versioning (#1948 <https://github.com/ros-planning/moveit/issues/1948>)
  * [feature] SRDF velocity and acceleration limit enforcement (#1863 <https://github.com/ros-planning/moveit/issues/1863>)
  * [maint]   Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [fix]     JogArm C++ API fixes (#1911 <https://github.com/ros-planning/moveit/issues/1911>)
  * [feature] A ROS service to enable task redundancy (#1855 <https://github.com/ros-planning/moveit/issues/1855>)
  * [fix]     Fix segfault with uninitialized JogArm thread (#1882 <https://github.com/ros-planning/moveit/issues/1882>)
  * [feature] Add warnings to moveit_jog_arm low pass filter (#1872 <https://github.com/ros-planning/moveit/issues/1872>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 for portability (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix initial end effector transform jump (#1871 <https://github.com/ros-planning/moveit/issues/1871>)
  * [feature] Rework the halt msg functionality (#1868 <https://github.com/ros-planning/moveit/issues/1868>)
  * [fix]     Various small fixes (#1859 <https://github.com/ros-planning/moveit/issues/1859>)
  * [maint]   Improve formatting in comments
  * [fix]     Prevent a crash at velocity limit (#1837 <https://github.com/ros-planning/moveit/issues/1837>)
  * [feature] Remove scale/joint parameter (#1838 <https://github.com/ros-planning/moveit/issues/1838>)
  * [feature] Pass planning scene monitor into cpp interface (#1849 <https://github.com/ros-planning/moveit/issues/1849>)
  * [maint]   Move attribution below license file, standardize with MoveIt (#1847 <https://github.com/ros-planning/moveit/issues/1847>)
  * [maint]   Reduce console output warnings (#1845 <https://github.com/ros-planning/moveit/issues/1845>)
  * [fix]     Fix command frame transform computation (#1842 <https://github.com/ros-planning/moveit/issues/1842>)
  * [maint]   Fix dependencies + catkin_lint issues
  * [feature] Update link transforms before calling checkCollision on robot state in jog_arm (#1825 <https://github.com/ros-planning/moveit/issues/1825>)
  * [feature] Add atomic bool flags for terminating JogArm threads gracefully (#1816 <https://github.com/ros-planning/moveit/issues/1816>)
  * [feature] Get transforms from RobotState instead of TF (#1803 <https://github.com/ros-planning/moveit/issues/1803>)
  * [feature] Add a C++ API (#1763 <https://github.com/ros-planning/moveit/issues/1763>)
  * [maint]   Fix unused parameter warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint]   Update license formatting (#1764 <https://github.com/ros-planning/moveit/issues/1764>)
  * [maint]   Unify jog_arm package to be C++14 (#1762 <https://github.com/ros-planning/moveit/issues/1762>)
  * [fix]     Fix jog_arm segfault (#1692 <https://github.com/ros-planning/moveit/issues/1692>)
  * [fix]     Fix double mutex unlock (#1672 <https://github.com/ros-planning/moveit/issues/1672>)
  * [maint]   Rename jog_arm->moveit_jog_arm (#1663 <https://github.com/ros-planning/moveit/issues/1663>)
  * [feature] Do not wait for command msg to start spinning (#1603 <https://github.com/ros-planning/moveit/issues/1603>)
  * [maint]   Update jog_arm README with rviz config (#1614 <https://github.com/ros-planning/moveit/issues/1614>)
  * [maint]   Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint]   Separate moveit_experimental packages (#1606 <https://github.com/ros-planning/moveit/issues/1606>)
  * [feature] Use UR5 example (#1605 <https://github.com/ros-planning/moveit/issues/1605>)
  * [feature] Sudden stop for critical issues, filtered deceleration otherwise (#1468 <https://github.com/ros-planning/moveit/issues/1468>)
  * [feature] Change 2nd order Butterworth low pass filter to 1st order (#1483 <https://github.com/ros-planning/moveit/issues/1483>)
  * [maint]   Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * [feature] JogArm: Remove dependency on move_group node (#1569 <https://github.com/ros-planning/moveit/issues/1569>)
  * [fix]     Fix jog arm CI integration test (#1466 <https://github.com/ros-planning/moveit/issues/1466>)
  * [feature] A jogging PR for Melodic. (#1360 <https://github.com/ros-planning/moveit/issues/1360>)
    * Allow for joints in the msg that are not part of the MoveGroup.
    * Switching to the Panda robot model for tests.
    * Blacklist the test as I can't get it to pass Travis (fine locally).
    * Throttling all warnings. Fix build warning re. unit vs int comparison.
    * Continue to publish commands even if stationary
    * Scale for 'unitless' commands is not tied to publish_period.
    * New function name for checkIfJointsWithinBounds()
    * Configure the number of msgs to publish when stationary.
    * Run jog_calcs at the same rate as the publishing thread.
    * Better comments in config file, add spacenav_node dependency
    * Add spacenav_node to CMakeLists.
  * Contributors: AdamPettinger, AndyZe, Ayush Garg, Dale Koenig, Dave Coleman, Jonathan Binney, Paul Verhoeckx, Henning Kayser, Jafar Abdi, John Stechschulte, Mike Lautman, Robert Haschke, SansoneG, jschleicher, Tyler Weaver, rfeistenauer

 -- Blake Anderson <blakeanderson@utexas.edu>  Tue, 07 Jul 2020 22:00:00 -0000


